﻿// <copyright file="CommandTelegram.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// Base class for command telegrams. Command telegrams are used for interacting
  /// with the modem and are not transmitted over radio.
  /// </summary>
  [Serializable]
  public abstract class CommandTelegram : Telegram
  {
    /// <summary>
    /// Initializes a new instance of the CommandTelegram class.
    /// </summary>
    public CommandTelegram()
    {
      this.TelegramType = TelegramType.TransmitCommandTelegram;
    }
  }
}
