﻿// <copyright file="ModemOff.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// Deactivates TCM modem functionality. When this command has been sent, an OK command should be received, confirming that the modem status is OFF. The modem ID is not erased.
  /// </summary>
  [Serializable]
  public class ModemOff : CommandTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)CommandType.ModemOff;
    }
  }
}
