﻿// <copyright file="ReadModemStatus.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// This command requests the TCM to send information about its current modem status. 
  /// The requested information is reported to the user through an InformModemStatus telegram. 
  /// </summary>
  [Serializable]
  public class ReadModemStatus : CommandTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)CommandType.ReadModemStatus;
    }
  }
}
