﻿// <copyright file="ReadRadioSensitivity.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// This command is sent to the TCM to retrieve the current radio sensitivity mode (HIGH or LOW).  This information is sent via a InformRadioSensitivity telegram.
  /// </summary>
  [Serializable]
  public class ReadRadioSensitivity : CommandTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)CommandType.ReadRadioSensitivity;
    }
  }
}
