﻿// <copyright file="ReadSoftwareVersion.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// This command requests the TCM to send its current software version number.
  /// This information is provided via an InformSoftwareVersion telegram by the TCM. 
  /// </summary>
  [Serializable]
  public class ReadSoftwareVersion : CommandTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)CommandType.ReadSoftwareVersion;
    }
  }
}
