﻿// <copyright file="Sleep.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Command
{
  using System;

  /// <summary>
  /// If the TCM receives the SLEEP command, it works in an energysaving mode. The TCM will not wake up before a hardware reset is made or a Wake telegram is sent via the serial interface.
  /// </summary>
  [Serializable]
  public class Sleep : CommandTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)CommandType.Sleep;
    }
  }
}
