﻿// <copyright file="TelegramIdOutOfRangeError.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean.Message.Error
{
  using System;

  /// <summary>
  /// When a radio telegram intended to be sent has an ID number outside the ID range, this error message is generated. The radio telegram is not delivered.
  /// </summary>
  [Serializable]
  public class TelegramIdOutOfRangeError : Error
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)MessageType.TelegramIdOutOfRangeError;
    }
  }
}
