﻿// <copyright file="InformRadioSensitivity.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Message
{
  using System;

  /// <summary>
  /// This message informs the user about the current TCM radio sensitivity. 
  /// </summary>
  [Serializable]
  public class InformRadioSensitivity : MessageTelegram
  {
    /// <summary>
    /// Gets the RadioSensitivity.
    /// </summary>
    public RadioSensitivity Sensitivity
    {
      get;
      internal set;
    }

    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 14 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[3] = (byte)MessageType.InformRadioSensitivity;
      message[4] = (byte)this.Sensitivity;
    }
  }
}
