﻿// <copyright file="ButtonState.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Radio.Sensor
{
  using System;

  /// <summary>
  /// I = On, O = Off
  /// </summary>
  [Serializable]
  public enum ButtonState
  {
    /// <summary>
    /// The button was not pressed.
    /// </summary>
    None,

    /// <summary>
    /// Button state I was activated. This usually represents on.
    /// </summary>
    I,

    /// <summary>
    /// Button state O was activated. This usually represents off. 
    /// </summary>
    O
  }
}
