﻿// <copyright file="Manufacturer.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author> 

namespace EnOcean.Radio.Sensor
{
  using System;

  /// <summary>
  /// EnOcean Alliance membership ID's
  /// </summary>
  [Serializable]
  public enum Manufacturer : short
  {
    /// <summary>
    /// Unknown membership ID.
    /// </summary>
    Unknown = 0x000,

    /// <summary>
    /// Manefactured by Peha.
    /// </summary>
    Peha = 0x001,

    /// <summary>
    /// Manefactured by Thermokon.
    /// </summary>
    Thermokon = 0x002,

    /// <summary>
    /// Manefactured by Servodan.
    /// </summary>
    Servodan = 0x003,

    /// <summary>
    /// Manefactured by EchoFlex Solutions.
    /// </summary>
    EchoFlexSolutions = 0x004,

    /// <summary>
    /// Manefactured by Omnio AG.
    /// </summary>
    OmnioAG = 0x005,

    /// <summary>
    /// Manefactured by Hardmeier Electronics.
    /// </summary>
    HardmeierElectronics = 0x006,

    /// <summary>
    /// Manefactured by Regulvar Inc.
    /// </summary>
    RegulvarInc = 0x007,

    /// <summary>
    /// Manefactured by AdHoc Electronics.
    /// </summary>
    AdHocElectronics = 0x008,

    /// <summary>
    /// Manefactured by Distech Controls.
    /// </summary>
    DistechControls = 0x009,

    /// <summary>
    /// Manefactured by Kieback &amp; Peter.
    /// </summary>
    KiebackPeter = 0x00A,

    /// <summary>
    /// Manefactured by EnOcean.
    /// </summary>
    EnOcean = 0x00B,

    /// <summary>
    /// Manefactured by PROBARE.
    /// </summary>
    PROBARE = 0x00C,

    /// <summary>
    /// Manefactured by Eltako.
    /// </summary>
    Eltako = 0x00D,
    
    /// <summary>
    /// Manefactured by Leviton.
    /// </summary>
    Leviton = 0x00E,
    
    /// <summary>
    /// Manefactured by Honeywell.
    /// </summary>
    Honeywell = 0x00F,
    
    /// <summary>
    /// Manefactured by Spartan Peripheral Devices.
    /// </summary>
    SpartanPeripheralDevices = 0x010,
    
    /// <summary>
    /// Manefactured by Siemens.
    /// </summary>
    Siemens = 0x011,
    
    /// <summary>
    /// Manefactured by T-Mac.
    /// </summary>
    TMac = 0x012,
    
    /// <summary>
    /// Manefactured by Reliable Controls Corporation.
    /// </summary>
    ReliableControlsCorporation = 0x013,
    
    /// <summary>
    /// Manefactured by Elsner Elektronik GmbH.
    /// </summary>
    ElsnerElektronikGmbH = 0x014,
    
    /// <summary>
    /// Manefactured by Diehl Controls.
    /// </summary>
    DiehlControls = 0x015,
    
    /// <summary>
    /// Manefactured by BSC Computer.
    /// </summary>
    BSCComputer = 0x016,
    
    /// <summary>
    /// Manefactured by S+S Regeltechnik GmbH
    /// </summary>
    SSRegeltechnikGmbH = 0x017,
    
    /// <summary>
    /// Manefactured by Masco Corporation.
    /// </summary>
    MascoCorporation = 0x018,
    
    /// <summary>
    /// Manefactured by Intesis Software SL
    /// </summary>
    IntesisSoftwareSL = 0x019,
    
    /// <summary>
    /// Manefactured by Res..
    /// </summary>
    Res = 0x01A,
    
    /// <summary>
    /// Manefactured by Lutuo Technology.
    /// </summary>
    LutuoTechnology = 0x01B,
    
    /// <summary>
    /// Manefactured by CAN2GO.
    /// </summary>
    CAN2GO = 0x01C,

    /// <summary>
    /// Multi user Manufacturer ID.
    /// </summary>
    MultiUserId = 0x7FF
  }
}
