﻿// <copyright file="TelegramType.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOcean
{
  using System;

  /// <summary>
  /// The telegram types supported by the TCM 120 module.
  /// </summary>
  [Serializable]
  public enum TelegramType : byte
  {
    /// <summary>
    /// A RRT telegram.
    /// </summary>
    ReceiveRadioTelegram = 0,

    /// <summary>
    /// A TRT telegram.
    /// </summary>
    TransmitRadioTelegram = 3,

    /// <summary>
    /// A RMT telegram.
    /// </summary>
    ReceiveMessageTelegram = 4,

    /// <summary>
    /// A TCT telegram.
    /// </summary>
    TransmitCommandTelegram = 5
  }
}
