﻿// <copyright file="SensorReceiver.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace EnOceanService
{
  using System.Collections.Generic;

  /// <summary>
  /// Class for keeping track of receiver services and their subscriptions.
  /// </summary>
  internal class SensorReceiver
  {
    /// <summary>
    /// Gets or sets the receiver service proxy.
    /// </summary>
    internal SensorReceiverProxy SensorReceiverProxy
    {
      get;
      set;
    }

    /// <summary>
    /// Gets or sets the subscriptions.
    /// </summary>
    internal IEnumerable<long> Subscriptions
    {
      get;
      set;
    }
  }
}
