﻿// <copyright file="SensorType.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace SqlLogger
{
  /// <summary>
  /// The different kind of sensors supported.
  /// </summary>
  internal enum SensorType
  {
    /// <summary>
    /// Temperature sensor.
    /// </summary>
    Temperature,

    /// <summary>
    /// Humidity sensor.
    /// </summary>
    Humidity,

    /// <summary>
    /// Brightness sensor.
    /// </summary>
    Illuminance,

    /// <summary>
    /// Voltage sensor.
    /// </summary>
    Voltage,

    /// <summary>
    /// Motion sensor.
    /// </summary>
    Motion,

    /// <summary>
    /// A swith press.
    /// </summary>
    SwitchPress,

    /// <summary>
    /// A switch release.
    /// </summary>
    SwitchRelease
  }
}
