﻿// <copyright file="Constants.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  /// <summary>
  /// Different constants used in the code.
  /// </summary>
  internal static class Constants
  {
    /// <summary>
    /// The size of the send buffer.
    /// </summary>
    internal const int SendBufferSize = 28;

    /// <summary>
    /// The size of the management send buffer.
    /// </summary>
    internal const int ManagementSendBufferSize = 20;

    /// <summary>
    /// Size of the receive buffer.
    /// </summary>
    internal const int ReceiveBufferSize = 28;

    /// <summary>
    /// Size of the wake message buffer.
    /// </summary>
    internal const int WakeBufferSize = 2;

    /// <summary>
    /// The response timeout when waiting for a response after sending a message.
    /// </summary>
    internal const int ResponseTimeout = 300;
  }
}
