﻿// <copyright file="InformMode.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet.Management
{
  using System;

  /// <summary>
  /// Gets information about the STC-Ethernet operation mode.
  /// </summary>
  [Serializable]
  public class InformMode : ManagementTelegram
  {
    /// <summary>
    /// Gets the operation mode.
    /// </summary>
    public OperatingMode Mode
    {
      get;
      internal set;
    }

    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 10 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[2] = 0x9F;
      message[3] = (byte)this.Mode;
      message[4] = 0x00;
      message[5] = 0x00;
      message[6] = 0x00;
      message[7] = 0x00;
      message[8] = 0x00;
      message[9] = 0x00;
    }
  }
}
