﻿// <copyright file="ReadMode.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet.Management
{
  using System;

  /// <summary>
  /// Reads the STC-Ethernet module operation mode.
  /// </summary>
  [Serializable]
  public class ReadMode : ManagementTelegram
  {
    /// <summary>
    /// Creates the byte format of the message.
    /// </summary>
    /// <param name="message">A byte array of length 10 to hold the message contents.</param>
    protected internal override void CreateMessage(byte[] message)
    {
      base.CreateMessage(message);
      message[2] = 0x9F;
      message[3] = 0x02;
      message[4] = 0x03;
      message[5] = 0x04;
      message[6] = 0x05;
      message[7] = 0x06;
      message[8] = 0x07;
      message[9] = 0x08;
    }
  }
}
