﻿// <copyright file="TransieverInfoReceivedEventArgs.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;
  using EnOcean;
  using StcEthernet.Management;

  /// <summary>
  ///  Provides data for the TransieverInfoReceived event.
  /// </summary>
  [Serializable]
  public class TransieverInfoReceivedEventArgs : EventArgs
  {
    /// <summary>
    /// Initializes a new instance of the TransieverInfoReceivedEventArgs class.
    /// </summary>
    /// <param name="transieverInfo">The received TransieverInfo.</param>
    internal TransieverInfoReceivedEventArgs(TransieverInfo transieverInfo)
    {
      this.TransieverInfo = transieverInfo;
    }

    /// <summary>
    /// Gets the TransieverInfo object.
    /// </summary>
    public TransieverInfo TransieverInfo
    {
      get;
      private set;
    }
  }
}
