﻿// <copyright file="ManagementTelegramReceivedEventArgs.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;
  using EnOcean;
  using StcEthernet.Management;

  /// <summary>
  ///  Provides data for the TelegramReceived event.
  /// </summary>
  [Serializable]
  public class ManagementTelegramReceivedEventArgs : EventArgs
  {
    /// <summary>
    /// Initializes a new instance of the ManagementTelegramReceivedEventArgs class.
    /// </summary>
    /// <param name="telegram">The received telegram.</param>
    public ManagementTelegramReceivedEventArgs(ManagementTelegram telegram)
    {
      this.Telegram = telegram;
    }

    /// <summary>
    /// Gets the received telegram.
    /// </summary>
    public ManagementTelegram Telegram
    {
      get;
      private set;
    }
  }
}
