﻿// <copyright file="Mode.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;

  /// <summary>
  /// Operation mode of the STC-Ethernet module.
  /// </summary>
  [Serializable]
  public enum OperatingMode : byte
  {
    /// <summary>
    /// Only learnt in telegrams will be relayed.
    /// </summary>
    Normal = 0x00,
    
    /// <summary>
    /// All telegrams will be relayed.
    /// </summary>
    Gateway = 0x01
  }
}
