﻿// <copyright file="ResponseTimeoutEventArgs.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;
  using EnOcean;

  /// <summary>
  /// Provides data for the ResponseTimeout event.
  /// </summary>
  [Serializable]
  public class ResponseTimeoutEventArgs : EventArgs
  {
    /// <summary>
    /// Initializes a new instance of the ResponseTimeoutEventArgs class.
    /// </summary>
    /// <param name="telegram">The telegram that timed out when trying to send.</param>
    internal ResponseTimeoutEventArgs(Telegram telegram)
    {
      this.Telegram = telegram;
    }

    /// <summary>
    /// Gets the telegram that timed out when trying to send.
    /// </summary>
    public Telegram Telegram
    {
      get;
      private set;
    }
  }
}
