﻿// <copyright file="SendEnOceanTelegram.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;
  using EnOcean;

  /// <summary>
  /// A wrapper class for sending EnOcean telegrams.
  /// </summary>
  [Serializable]
  internal class SendEnOceanTelegram : SendTelegram
  {
    /// <summary>
    /// Initializes a new instance of the SendEnOceanTelegram class.
    /// </summary>
    /// <param name="telegram">An EnOcean telegram to send.</param>
    internal SendEnOceanTelegram(Telegram telegram)
    {
      this.Telegram = telegram;
    }

    /// <summary>
    /// Gets or sets the telegram to send.
    /// </summary>
    internal Telegram Telegram
    {
      get;
      set;
    }
  }
}
