﻿// <copyright file="SendManagementTelegram.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;
  using StcEthernet.Management;
  
  /// <summary>
  /// A wrapper class for sending management telegrams.
  /// </summary>
  [Serializable]
  internal class SendManagementTelegram : SendTelegram
  {
    /// <summary>
    /// Initializes a new instance of the SendManagementTelegram class.
    /// </summary>
    /// <param name="telegram">A management telegram to send.</param>
    internal SendManagementTelegram(ManagementTelegram telegram)
    {
      this.Telegram = telegram;
    }

    /// <summary>
    /// Gets or sets the telegram to send.
    /// </summary>
    internal ManagementTelegram Telegram
    {
      get;
      set;
    }
  }
}
