﻿// <copyright file="TransieverInitializedEventArgs.cs" company="Hallvard Korsgaard">
//  Microsoft Public License (Ms-PL). See license details here: http://enoceannet.codeplex.com/license
// </copyright>
// <author>Hallvard Korsgaard</author>

namespace StcEthernet
{
  using System;

  /// <summary>
  ///  Provides data for the TransieverInitialized event.
  /// </summary>
  public class TransieverInitializedEventArgs : EventArgs
  {
    /// <summary>
    /// Initializes a new instance of the TransieverInitializedEventArgs class.
    /// </summary>
    /// <param name="transiever">The transiever that connected.</param>
    internal TransieverInitializedEventArgs(Transiever transiever)
    {
      this.Transiever = transiever;
    }

    /// <summary>
    /// Gets the transiever that connected.
    /// </summary>
    public Transiever Transiever
    {
      get;
      private set;
    }
  }
}
